import { Metadata } from 'next'
import HeroSection from './components/sections/HeroSection'
import BlogSection from './components/sections/BlogSection'

export const metadata: Metadata = {
  title: 'My Modern Blog – Web Dev, Tutorials & News',
  description: 'Explore web development tutorials, tips, and the latest tech news. Powered by Next.js and Laravel.',
  keywords: ['Web Development', 'Next.js Blog', 'Laravel API', 'React Blog', 'Tutorials'],
  authors: [{ name: 'Your Name', url: 'https://yourdomain.com' }],
  creator: 'Your Name',
  openGraph: {
    title: 'My Modern Blog',
    description: 'Explore web development tutorials, tips, and the latest tech news.',
    url: 'https://yourdomain.com',
    siteName: 'My Modern Blog',
    images: [
      {
        url: 'https://yourdomain.com/og-image.jpg',
        width: 1200,
        height: 630,
        alt: 'My Modern Blog – Web Dev News',
      },
    ],
    locale: 'en_US',
    type: 'website',
  },
  twitter: {
    card: 'summary_large_image',
    title: 'My Modern Blog',
    description: 'Explore web development tutorials, tips, and the latest tech news.',
    creator: '@yourhandle',
    images: ['https://yourdomain.com/og-image.jpg'],
  },
  metadataBase: new URL('https://yourdomain.com'),
}

export default function Page() {
  return (
    <>
      <HeroSection />
      <BlogSection />
    </>
  )
}
